1 (03.01.2012 22:18:59 отредактировано SolloMio)

Тема: KDE для openSUSE

подскажите, есть

1) Только обновление программ

Если Вы используете официальные, поддерживаемые и проверенные базовые пакеты KDE, поставляемые в составе дистрибутива, то Вам будут полезны эти дополнительные репозитории.
Версия: 12.1

2) Стабильный aka. KDS (KDE SC 4.7)

Та же самая версия набора программного обеспечения KDE включена в последний официальный выпуск openSUSE (KDE 4.7.2). Эти репозитории используются для создания инкрементных обновлений для последнего выпуска openSUSE. Если Вы хотите обновить KDE поставляемый с openSUSE, то мы рекомендуем последний официальный стабильный выпуск KDE, доступный в KDE:Release:47 (см. ниже), если Вы не работаете над подготовкой обновлений 4.7.2.

3) Официальный релиз aka. KR47 (KDE SC 4.7)

Последний стабильный выпуск SC KDE 4.7, в этих репозиториях обновляется только при выходе новой версии. Используйте этот репозиторий, если вы хотите иметь последнюю версию KDE.


какой из них лучше подключить, для простого обновления KDE.

2 (03.01.2012 12:17:23 отредактировано verg)

Re: KDE для openSUSE

Использую эту: http://download.opensuse.org/repositori … SUSE_12.1/

1) В стабильном KDS (KDE SC 4.7) :  KDE4.7.2
2) В официальном KR47 (KDE SC 4.7): KDE4.7.4

Плюс этот Extra  в добавок: http://download.opensuse.org/repositori … SUSE_12.1/

3

Re: KDE для openSUSE

ОК, спасибо

4

Re: KDE для openSUSE

Консоль
linux-98r7:/home/andrey # zypper lr
#  | Псевдоним                | Имя                                   | Включён | Обновление
---+--------------------------+---------------------------------------+---------+-----------
1 | Extra_Release            | Extra Release                         | Да      | Да       
2 | Release                  | Release                               | Да      | Да       
3 | nvidia                   | nvidia                                | Да      | Да       
4 | packman                  | packman                               | Да      | Да       
5 | packman-all              | packman                               | Да      | Да       
6 | packman-essen            | packman-essentials                    | Да      | Да       
7 | packman-multimedia       | packman-multimedia                    | Да      | Да       
8 | packman-tumbleweed       | packman-essentials                    | Да      | Да       
9 | repo-non-oss             | openSUSE-12.1-Non-Oss                 | Да      | Да       
10 | repo-oss                 | openSUSE-12.1-Oss                     | Да      | Да       
11 | repo-source              | openSUSE-12.1-Source                  | Нет     | Да       
12 | Обновления-для-openSUSE- | Обновления для openSUSE 12.1 12.1-1.4 | Да      | Да 

Вот эти у меня подключены, подскажите какие еще надо или может какие то надо удалить???

5 (04.01.2012 01:36:06 отредактировано verg)

Re: KDE для openSUSE

Тут можно ещё подобрать соответствующие системе: http://download.opensuse.org/repositories/

6

Re: KDE для openSUSE

Коллеги, объясните, я что то не могу понять- о чём вообще разговор?  oO
У нас что в поиске через yast - репазитории сообщества, больше не актуальны?

7 (04.01.2012 13:48:10 отредактировано verg)

Re: KDE для openSUSE

step_slim пишет

Коллеги, объясните, я что то не могу понять- о чём вообще разговор?  oO
У нас что в поиске через yast - репазитории сообщества, больше не актуальны?

Больше неактуальны!

Почему:
Пробуем обнаружить в  yast - репозитории сообщества  эту репу http://download.opensuse.org/repositori … /standard/
или эту вышеозначенную http://download.opensuse.org/repositori … SUSE_12.1/
или эту http://download.opensuse.org/repositori … SUSE_12.1/
и много каких ещё.

Подсказка: Через yast - репозитории сообщества добавляются немного другие репы. ( для примера из подобных вышеперечисленным: с ядром точно репы нет, а кеды версии 4.7.2"обновления")

8

Re: KDE для openSUSE

verg пишет
step_slim пишет

Коллеги, объясните, я что то не могу понять- о чём вообще разговор?  oO
У нас что в поиске через yast - репазитории сообщества, больше не актуальны?

Больше неактуальны!

Почему:
Пробуем обнаружить в  yast - репозитории сообщества  эту репу http://download.opensuse.org/repositori … /standard/
или эту вышеозначенную http://download.opensuse.org/repositori … SUSE_12.1/
или эту http://download.opensuse.org/repositori … SUSE_12.1/
и много каких ещё.

Подсказка: Через yast - репозитории сообщества добавляются немного другие репы. ( для примера из подобных вышеперечисленным: с ядром точно репы нет, а кеды версии 4.7.2"обновления")


Еще раз спасибо, за внятные объяснения!!!!

9

Re: KDE для openSUSE

У кого есть проблемы с репозиторием KR8:

http://download.opensuse.org/repositories/KDE:/Release:/48/openSUSE_12.1/

а именно отсутствие половины пакетов KDE4(хотя на самом деле они в репе есть) и из-за этого ломается полное обновление, то подключите дополнительно следующий:

# zypper ar -f http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/ openSUSE:/Tumbleweed/standard/ 

В этом репозитории так же KDE версии 4.8.3(и обновляется), при этом репозиторий не сломан.



з.ы. этот репозиторий и ещё несколько других, с этой проблемой, обещают вскоре починить

10

Re: KDE для openSUSE

Устаканилось вроде.

11

Re: KDE для openSUSE

1) Если после обновления на KDE4.9 у вас изменился начальный каталог на /home/user/Документы в Konsole, исправить это можно так:
ПКМ в окне Konsole - Настроить профиль - Главное - Начальный каталог - заменить на /home/user

2) Так же если у вас крашится вкладка "Внешний вид рабочего стола" в Параметрах системы(настройки КДЕ), виновником может быть тема оформления iaora
Чтобы исправить это удалите следующие пакеты:

# zypper rm kde4-style-iaora kde4-style-iaora-common qt4-style-iaora

12

Re: KDE для openSUSE

KDE4.9.2 для openSUSE12.2 полностью готово.
Можно обновляться.
Обновление проходит гладко.


з.ы. gmail-plasmoid правда отвалился  -  поменял на kgmailnotifier

13

Re: KDE для openSUSE

verg пишет

KDE4.9.2 для openSUSE12.2 полностью готово.
Можно обновляться.
Обновление проходит гладко.


з.ы. gmail-plasmoid правда отвалился  -  поменял на kgmailnotifier

Будут обновлены до более старой версии следующие пакеты:
  bootsplash-branding-openSUSE branding-openSUSE bundle-lang-kde-en bundle-lang-kde-ru gfxboot-branding-openSUSE
  gimp-branding-openSUSE grub2-branding-openSUSE kdebase4-openSUSE kdebase4-openSUSE-lang kdebase4-runtime-branding-openSUSE
  kdebase4-workspace-branding-openSUSE kdelibs4-branding-openSUSE kdm-branding-openSUSE kio_sysinfo
  kio_sysinfo-branding-openSUSE ksplash-qml-branding-openSUSE ksplashx-branding-openSUSE lcms2 libattica0_3 libkdcraw20
  libkexiv2-10 libkipi8 libktorrent4 liblastfm0 liblcms2-2 libmarblewidget13 plymouth-branding-openSUSE
  susegreeter-branding-openSUSE wallpaper-branding-openSUSE yast2-qt-branding-openSUSE

14

Re: KDE для openSUSE

mozgfx пишет

Будут обновлены до более старой версии следующие пакеты:

На момент написания сообщения №12 все эти проблемы были устранены.
Возможно вам стоит подождать обновления вашего зеркала.

15

Re: KDE для openSUSE

Не торопитесь обновляться до версии 4.9.3. Не все пакеты ещё обновлены в репозитории.

Проверка:

# zypper up

Некоторые пакеты типа kwin и другие не хотят обновляться.

Видимо из-за необновлённых branding-openSUSE-пакетов.


з.ы. не относится к тем, кто использует branding-upstream (с этими вроде бы нет проблем)

16

Re: KDE для openSUSE

verg пишет

Не торопитесь обновляться

Теперь нормально всё.
Можно обновляться.

17

Re: KDE для openSUSE

verg пишет
verg пишет

Не торопитесь обновляться

Теперь нормально всё.
Можно обновляться.

На прошлой неделе (только один из всех пакетов установленных по умолчанию) после обновления только kwave ругнулся, что нет зависимостей и останется старая версия.
Других проблем не замечено.

18

Re: KDE для openSUSE

KDE 4.9.4 в репозитории KDE:/Release:/49/

Обновляемся =)

19

Re: KDE для openSUSE

KDE 4.9.5 в репозитории Tumbleweed
Можно обновляться.

20

Re: KDE для openSUSE

KDE 4.9.5 в репозитории KDE:/Release:/49/
Подождите пока пересоберут branding пакеты, а потом можно будет нормально обновиться.


Список исправленных багов: https://bugs.kde.org/buglist.cgi?query_ … alue0-0-0=

21

Re: KDE для openSUSE

KDE 4.10.0 в репозитории KDE:/Release:/410/

Установка:

su
zypper ar -f http://download.opensuse.org/repositories/KDE:/Release:/410/openSUSE_12.2/ KDE:/Release:/410/openSUSE_12.2/
zypper ar -f http://download.opensuse.org/repositories/KDE:/Extra/KDE_Release_410_openSUSE_12.2/ KDE:/Extra/KDE_Release_410_openSUSE_12.2/
zypper ref
zypper dup --from  KDE:/Release:/410/openSUSE_12.2/ --from KDE:/Extra/KDE_Release_410_openSUSE_12.2/

или

zypper dup

Новость: http://www.opennet.ru/opennews/art.shtml?num=36039

22

Re: KDE для openSUSE

KDE 4.10.1 в репозитории KDE:/Release:/410/
Можно обновляться.

23

Re: KDE для openSUSE

KDE 4.10.2 в репозитории KDE:/Release:/410/
Можно обновляться.
Все пакеты приведены в порядок.

Если отвалились плазмоиды использующие скриптовый движок python, поставьте следующий пакет:

# zypper in python-kde4-plasma

24 (08.04.2013 18:20:23 отредактировано dezhurant)

Re: KDE для openSUSE

Хотел обновить KDE до 4.10.2 (http://download.opensuse.org/repositori … .3/x86_64/), получил

Будут обновлены до[b] более старой версии[/b] следующие пакеты:
  branding-openSUSE gfxboot-branding-openSUSE gimp-branding-openSUSE grub2-branding-openSUSE 
  kdelibs4-branding-openSUSE kdm-branding-openSUSE ksplash-qml-branding-openSUSE ksplashx-branding-openSUSE 
  plymouth-branding-openSUSE susegreeter-branding-openSUSE wallpaper-branding-openSUSE yast2-qt-branding-openSUSE

Это нормально?

25

Re: KDE для openSUSE

dezhurant пишет

Хотел обновить KDE до 4.10.2 (http://download.opensuse.org/repositori … .3/x86_64/), получил

Будут обновлены до[b] более старой версии[/b] следующие пакеты:
  branding-openSUSE gfxboot-branding-openSUSE gimp-branding-openSUSE grub2-branding-openSUSE 
  kdelibs4-branding-openSUSE kdm-branding-openSUSE ksplash-qml-branding-openSUSE ksplashx-branding-openSUSE 
  plymouth-branding-openSUSE susegreeter-branding-openSUSE wallpaper-branding-openSUSE yast2-qt-branding-openSUSE

Это нормально?

Нормально, если версии пакетов совпадают, а различие лишь в версии сборки пакета.

26

Re: KDE для openSUSE

dezhurant пишет

Хотел обновить KDE до 4.10.2 (http://download.opensuse.org/repositori … .3/x86_64/), получил

Да, нормально. Просто понизили версию билда этих пакетов в репе 410, а релизные остались с большим билдом, но зиппер со всем справляется как надо.

27

Re: KDE для openSUSE

urfin, verg,
Обновился, полёт нормальный.

28

Re: KDE для openSUSE

KDE 4.10.3 в репозитории KDE:/Release:/410/

Сломали KDM.

Временно переключился на XDM:

# yast2 sysconfig set DISPLAYMANAGER="xdm"

Вернуть обратно KDM так:

# yast2 sysconfig set DISPLAYMANAGER="kdm"

29

Re: KDE для openSUSE

Баг уже оформили: https://bugzilla.novell.com/show_bug.cgi?id=818792

Фикс:
Открыть файл /usr/share/kde4/config/kdm/kdmrc
Найти строку:

GreeterUID=kdm

Закомментировать её: (или удалить)

#GreeterUID=kdm

30

Re: KDE для openSUSE

з.ы. скоро будет пофикшено официально.

Update: Уже. Просто обновиться.